GDBserver

Public Attributes | List of all members
collect_memory_action Struct Reference

## Public Attributes
struct tracepoint_action | base
ULONGEST | addr
ULONGEST | len
int32_t | basereg

## Detailed Description

Definition at line 481 of file tracepoint.c.

## Member Data Documentation

## ◆ addr

ULONGEST collect_memory_action::addr

Definition at line 485 of file tracepoint.c.

Referenced by add_tracepoint_action(), and m_tracepoint_action_send().

## ◆ base

struct tracepoint_action collect_memory_action::base

Definition at line 483 of file tracepoint.c.

Referenced by add_tracepoint_action().

## ◆ basereg

int32_t collect_memory_action::basereg

Definition at line 487 of file tracepoint.c.

Referenced by add_tracepoint_action(), and m_tracepoint_action_send().

## ◆ len

ULONGEST collect_memory_action::len

Definition at line 486 of file tracepoint.c.

Referenced by add_tracepoint_action(), and m_tracepoint_action_send().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/tracepoint.c